Bug 183858 - after installing grub thru rescue disc when trying to load kernel grub returns error 13, kernel in unsupported format.
after installing grub thru rescue disc when trying to load kernel grub return...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-03 04:30 EST by Michel van der Breggen
Modified: 2008-03-10 21:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 21:02:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel van der Breggen 2006-03-03 04:30:05 EST
Description of problem:
I have a new server with Intel ICH7R chipset, Intel Pentium D and 2x 500Gb S-
ATA. I've installed the two discs with software raid partition because if i 
used the bios raid, formatting the second Raid partition ( i split the drives 
into two raid partitions ) the installer crashed (even the mouse wouldn't move 
anymore). Like the docs said the installer didn't install grub on the raid 
partitions even when i instructed the installer to do so. I downloaded the 
X86_64 Rescue disc and used the GRUB cli to install grub to the mbr of both 
discs ( because of the raid1 ). I created a grub.conf to point to the 
kernel : /boot/vmlinuz-2.6.15-1.1955_FC5hypervisor and to initrd : /boot/initrd-
2.6.15-1.1955_FC5hypervisor.
When i boot the machine GRUB starts and i select to load the installed kernel. 
But GRUB returns an error 13 : kernel in unsupported format. Loading the rescue 
disc and doing a "file" on the kernel says that all is fine and i even can 
unpack the kernel with gzip.

Version-Release number of selected component (if applicable):
FC5 Test3 / kernel 2.6.15-1.1955 / GRUB 0.97

How reproducible:
have installed the whole thing 3 times, same result

Steps to Reproduce:
1. Install X86_64 on a raid1 partition
2. install grub using rescue disc
3. reboot and try to load kernel
  
Actual results:
Error 13: unsupported kernel

Expected results:
a nice boot

Additional info:
Comment 1 Matthew Miller 2007-04-06 15:18:10 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 petrosyan 2008-03-10 21:02:37 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.